For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sign psbt with key path and script path

post

Signs a Partially Signed Bitcoin Transaction (PSBT) using a key path and script path.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to use for signing.
Header parameters
AuthorizationstringRequired
  • The authorization token for authentication.
Body
  • The request body containing the network and PSBT in hexadecimal format.
psbt_hexstringRequired
networkstringRequired
Responses
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed PSBT in hexadecimal format.

application/json
successbooleanRequired
messagestringRequired
post/bitcoincash/accounts/{accountName}/sign-psbt-with-key-path-and-script-path
200

A promise that resolves to a BitcoinCashAPIResponse containing the signed PSBT in hexadecimal format.